Ordering products

You can order a SiteLock product or an add-on through the AutoApplyOrder API. A single call can have one product ID and one or more add-on IDs.

The API endpoint is:

https://secure.trust-provider.com/products/AutoApplyOrder

Placing an order for a new customer

You can call the AutoApplyOrder method and provide the domainName to order a product for a new customer. Once you place an order, a new SiteLock account is created.

Request parameters

The following table lists parameters that you can use in the request.

Parameter Requirement Type Max. Length Description

loginName

required

string

64 chars

The reseller’s login name.

This value is case sensitive.

loginPassword

required

string

128 chars

The reseller’s password.

This value is case sensitive.

product

required

string

64 chars

The product ID, a comma-separated string of integers.

days

required

integer

The validity period, in days.

For SiteLock products the allowed values are:

  • 30

  • 365

For the SiteLock 911 product, omit this parameter from the request.

domainName

required

string

64 chars

The customer’s domain name.

appRepEmailAddress

required

string

255 chars

The customer’s email address.

enableAutoRenew

optional

string

1 char

Indicates whether the SiteLock product should renew automatically at expiry. Allowed values:

Y — Enable automatic renewal (requires sufficient account funds)

N — Disable automatic renewal

If omitted, the value is determined by the account’s auto-renew settings.

organizationName

optional

string

64 chars

The name of the customer’s organization.

streetAddress1

optional

string

128 chars

The street address of the customer’s organization.

stateOrProvinceName

optional

string

128 chars

The state or province name where the customer’s organization is registered.

postalCode

optional

string

40 chars

The postal code of the customer’s organization.

countryName

optional

string

2 chars

The country where the customer’s organization is registered.

appRepForename

optional

string

64 chars

The customer’s first name.

appRepSurname

optional

string

64 chars

The customer’s last name.

appRepLoginName

optional

string

50 chars

The customer’s login name. If a login name isn’t provided, the customer’s email address will be used a login name.

appRepLoginPassword

optional

string

50 chars

The customer’s password. The customer will be prompted to change their password on first login to SiteLock.

Example request

curl -X POST https://secure.trust-provider.com/products/!AutoApplyOrder?
-d 'loginName=sectigo_reseller' \
-d 'loginPassword=reseller_sectigo' \
-d 'product=1059' \
-d 'days=365' \
-d 'domainName=mydomain.com' \
-d '[email protected]' \
-d 'organizationName=myOrganization' \
-d 'streetAddress1=Homestead St' \
-d 'stateOrProvinceName=Kansas' \
-d 'postalCode=67202' \
-d 'countryName=US' \
-d 'appRepForename=John' \
-d 'appRepSurname=Doe' \
-d 'appRepLoginName=Jane' \
-d 'appRepLoginPassword=Doe'

Ordering SSL PLUS SiteLock Bundle with SSL

To order a free SiteLock plan with an SSL certificate, call the AutoApplyOrder method and pass the CSR parameters.

SSL PLUS SiteLock Bundle isn’t a standalone product, and therefore cannot be purchased separately from an SSL certificate. The bundle comes with a purchased 90-day, one-year, or multi-year certificate. Add-ons aren’t available for SSL PLUS SiteLock Bundle users.

If you don’t pass the customer’s email address with the SSL certificate order, the bundle won’t be ordered. If you’d like to order only an SSL certificate, without the bundle, pass the disableSiteLock=Y parameter with the request. For more information about SSL PLUS SiteLock Bundle features and terms, and a list of SSL product IDs, see SSL PLUS SiteLock Bundle overview.

If you purchase multiple SSL certificates that qualify for the bundle, you will receive a separate SSL PLUS SiteLock Bundle license for each certificate. For a wildcard certificate, you will receive a license only for the root domain.

Request parameters

The following table lists parameters that you can use in the request.

Parameter

Requirement

Type

Max. Length

Description

loginName

required

string

64 chars

The reseller’s login name.

loginPassword

required

string

128 chars

The reseller’s password.

product

required

string

64 chars

The SSL product ID, a comma-separated string of integers.

days

required

integer

The validity period, in days.

For SiteLock products the allowed values are:

  • 30

  • 365

For the SiteLock 911 product, omit this parameter from the request.

domainName

required

string

64 chars

The customer’s domain name.

appRepEmailAddress

required

string

255 chars

The customer’s email address.

serverSoftware

optional

integer

The software where the certificate will be installed. The default value is -1 (Other).

organizationName

optional

string

64 chars

The organization name included in the certificate Organization (O) field.

localityName

optional

string

128 chars

The location name included in the certificate Location (L) field.

stateOrProvinceName

optional

string

128 chars

The state or province name included in the certificate State (ST) field.

countryName

optional

string

2 chars

The country name included in the certificate Country (C) field.

isCustomerValidated

optional

string

1 char

Whether the applicant has been verified (Y) or not (N) by the reseller.

csr

optional

string

64 chars

The Base64 encoded CSR .

prioritiseCSRValues

optional

string

1 char

Which values to use if a field is specified in both the CSR and as a separate parameter. The default value is Y.

* Y: Prioritise values in CSR over parameters

* N: Prioritise parameters over CSR values

* P: Only use values from parameters, ignore any CSR values

* C: Only use values from CSR and ignore any parameters

enableAutoRenew

optional

string

1 char

Indicates whether the SiteLock product should renew automatically at expiry. Allowed values:

Y — Enable automatic renewal (requires sufficient account funds)

N — Disable automatic renewal

If omitted, the value is determined by the account’s auto-renew settings.

disableSiteLock

optional

string

1 char

Specifies whether to order only an SSL certificate, without the SSL PLUS SiteLock Bundle. The possible values are Y (yes) and N (no). The default value is N.

Example request

curl -X POST https://secure.trust-provider.com/products/!AutoApplyOrder?
-d 'loginName=sectigo_reseller' \
-d 'loginPassword=reseller_sectigo' \
-d 'product=287' \
-d 'days=365' \
-d 'domainName=mydomain.com' \
-d '[email protected]' \
-d 'serverSoftware=-1' \
-d 'organizationName=myOrganizaton' \
-d 'localityName=Wichita' \
-d 'stateOrProvinceName=Kansas' \
-d 'countryName=US' \
-d 'isCustomerValidated=N' \
-d 'csr=my_base64_encoded_csr' \
-d 'prioritiseCSRValues=Y'

Placing a new order for an existing customer

To create a new order on an existing account, you need to pass the previousOrderNumber associated with the account and a new domain (not the one already setup on the account) into the AutoApplyOrder endpoint.

Request parameters

The following table lists parameters that you can use in the request.

Parameter Requirement Type Max. Length Description

loginName

required

string

64 chars

The reseller’s login name.

loginPassword

required

string

128 chars

The reseller’s password.

product

required

string

64 chars

The product ID, a comma-separated string of integers.

days

required

integer

The validity period, in days.

For SiteLock products the allowed values are:

  • 30

  • 365

For the SiteLock 911 product, omit this parameter from the request.

domainName

required

string

64 chars

The customer’s domain name.

appRepEmailAddress

required

string

255 chars

The customer’s email address.

previousOrderNumber

required

integer

The order number of the previous license.

enableAutoRenew

optional

string

1 char

Indicates whether the SiteLock product should renew automatically at expiry. Allowed values:

Y — Enable automatic renewal (requires sufficient account funds)

N — Disable automatic renewal

If omitted, the value is determined by the account’s auto-renew settings.

Example request

curl -X POST https://secure.trust-provider.com/products/!AutoApplyOrder?
-d 'loginName=sectigo_reseller' \
-d 'loginPassword=reseller_sectigo' \
-d 'product=1059' \
-d 'days=365' \
-d 'domainName=mydomain.com' \
-d '[email protected]' \
-d 'previousOrderNumber=3034881'

Ordering an add-on for an existing product

If you already have a product license and would like to purchase an add-on, call AutoApplyOrder and specify the previous order number, the ID of an add-on to be provisioned, and the existing domain to identify the product to add the add-on to.

Request parameters

The following table lists parameters that you can use in the request.

Parameter Requirement Type Max. Length Description

loginName

required

string

64 chars

The reseller’s login name.

loginPassword

required

string

128 chars

The reseller’s password.

product

required

string

64 chars

The product ID, a comma-separated string of integers.

days

required

integer

The validity period, in days.

For SiteLock products the allowed values are:

  • 30

  • 365

For the SiteLock 911 product, omit this parameter from the request.

domainName

required

string

64 chars

The customer’s domain name.

appRepEmailAddress

required

string

255 chars

The customer’s email address.

previousOrderNumber

required

integer

The order number of the previous license.

enableAutoRenew

optional

string

1 char

Indicates whether the SiteLock product should renew automatically at expiry. Allowed values:

Y — Enable automatic renewal (requires sufficient account funds)

N — Disable automatic renewal

If omitted, the value is determined by the account’s auto-renew settings.

Example request

curl -X POST https://secure.trust-provider.com/products/!AutoApplyOrder?
-d 'loginName=sectigo_reseller' \
-d 'loginPassword=reseller_sectigo' \
-d 'product=1071' \
-d 'days=365' \
-d 'domainName=mydomain.com' \
-d '[email protected]' \
-d 'previousOrderNumber=3034881'

Using the auto-renewal setting on new orders

You can place a new order for an existing customer and specify the license duration and whether it will be automatically renewed. Note that to change the auto-renewal status you must have the appropriate permissions.

Request parameters

The following table lists parameters that you can use in the request.

Parameter Requirement Type Max. Length Description

loginName

required

string

64 chars

The reseller’s login name.

loginPassword

required

string

128 chars

The reseller’s password.

product

required

string

64 chars

The product ID, a comma-separated string of integers.

days

required

integer

The validity period, in days.

For SiteLock products the allowed values are:

  • 30

  • 365

For the SiteLock 911 product, omit this parameter from the request.

domainName

required

string

64 chars

The customer’s domain name.

appRepEmailAddress

required

string

255 chars

The customer’s email address.

enableAutoRenew

optional

string

1 char

Indicates whether the SiteLock product should renew automatically at expiry. Allowed values are:

Y — Enable automatic renewal (requires sufficient account funds)

N — Disable automatic renewal

If omitted, the value is determined by the account’s auto-renew settings.

Example request

curl -X POST https://secure.trust-provider.com/products/!AutoApplyOrder?
-d 'loginName=sectigo_reseller' \
-d 'loginPassword=reseller_sectigo' \
-d 'product=1059' \
-d 'days=365' \
-d 'domainName=mydomain.com' \
-d '[email protected]'